Skip to main content
GET
/
audit-events
Search audit events
curl --request GET \
  --url https://sandbox-api.finpace.example/v1/audit-events \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "auditEventId": "aud_01JQ9N0W9BG8B7MTX0EPB8RYQ1",
      "eventType": "account.mandate.updated",
      "resourceType": "mandate",
      "resourceId": "mdt_01JQ9M3X3HD5KQY8DPGH0N7AM1",
      "actorType": "user",
      "actorId": "usr_239809",
      "occurredAt": "2023-11-07T05:31:56Z",
      "requestId": "<string>",
      "summary": "Mandate limit increased from EUR 10,000 to EUR 20,000"
    }
  ],
  "pagination": {
    "pageSize": 50,
    "nextPageToken": "eyJvZmZzZXQiOjUwfQ=="
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Query Parameters

resourceType
string
resourceId
string
eventType
string
from
string<date-time>
to
string<date-time>
pageSize
integer
default:50

Maximum number of records to return.

Required range: 1 <= x <= 200
pageToken
string

Opaque continuation token returned by a previous page.

Response

200 - application/json

Audit events returned

items
object[]
pagination
object